Package uk.ac.starlink.topcat.plot2

## Class ActionSpecifierPanel

- java.lang.Object
- - uk.ac.starlink.ttools.plot2.config.SpecifierPanel<uk.ac.starlink.ttools.plot2.config.ConfigMap>
  - - uk.ac.starlink.topcat.plot2.ActionSpecifierPanel

- All Implemented Interfaces:
    `uk.ac.starlink.ttools.plot2.config.Specifier<uk.ac.starlink.ttools.plot2.config.ConfigMap>`

      public class ActionSpecifierPanel
      extends uk.ac.starlink.ttools.plot2.config.SpecifierPanel<uk.ac.starlink.ttools.plot2.config.ConfigMap>

  Decorates a SpecifierPanel with Clear and Submit buttons. Clear resets all items to their default, and submit invokes this object's `doSubmit` method.
  Since:
    13 Mar 2013
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActionSpecifierPanel​(uk.ac.starlink.ttools.plot2.config.Specifier<uk.ac.starlink.ttools.plot2.config.ConfigMap> baseSpecifier)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` | Invokes the clear action on this panel.
    `javax.swing.JComponent` | `createComponent()` |
    `protected void` | `doSubmit​(java.awt.event.ActionEvent evt)` | Invoked when the submit action is performed.
    `uk.ac.starlink.ttools.plot2.config.ConfigMap` | `getSpecifiedValue()` |
    `void` | `setSpecifiedValue​(uk.ac.starlink.ttools.plot2.config.ConfigMap config)` |
    `void` | `submitReport​(uk.ac.starlink.ttools.plot2.ReportMap report)` |

    - ### Methods inherited from class uk.ac.starlink.ttools.plot2.config.SpecifierPanel

      `addActionListener, fireAction, getActionForwarder, getChangeForwarder, getComponent, isXFill, removeActionListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionSpecifierPanel

          public ActionSpecifierPanel​(uk.ac.starlink.ttools.plot2.config.Specifier<uk.ac.starlink.ttools.plot2.config.ConfigMap> baseSpecifier)

      Constructor.
      Parameters:
        `baseSpecifier` - specifier on which this is based

  - ### Method Detail

    - #### doSubmit

          protected void doSubmit​(java.awt.event.ActionEvent evt)

      Invoked when the submit action is performed. Default implementation does nothing, but subclasses may override it.
      Parameters:
        `evt` - submission event

    - #### createComponent

          public javax.swing.JComponent createComponent()

      Specified by:
        `createComponent` in class `uk.ac.starlink.ttools.plot2.config.SpecifierPanel<uk.ac.starlink.ttools.plot2.config.ConfigMap>`

    - #### getSpecifiedValue

          public uk.ac.starlink.ttools.plot2.config.ConfigMap getSpecifiedValue()

    - #### setSpecifiedValue

          public void setSpecifiedValue​(uk.ac.starlink.ttools.plot2.config.ConfigMap config)

    - #### submitReport

          public void submitReport​(uk.ac.starlink.ttools.plot2.ReportMap report)

    - #### clear

          public void clear()

      Invokes the clear action on this panel.